# Method: projects.regions.clusters.stop

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.regions.clusters/stop#try-it)

Stops a cluster in a project.

### HTTP request

`POST https://dataproc.googleapis.com/v1/projects/{projectId}/regions/{region}/clusters/{clusterName}:stop`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `projectId` | `string` Required. The ID of the Google Cloud Platform project the cluster belongs to. |
| `region` | `string` Required. The region in which to handle the request. |
| `clusterName` | `string` Required. The cluster name. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `clusterName`: - `dataproc.clusters.stop` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "clusterUuid": string, "requestId": string } ``` |

| Fields ||
|---|---|
| `clusterUuid` | `string` Optional. Specifying the `clusterUuid` means the RPC will fail (with error NOT_FOUND) if a cluster with the specified UUID does not exist. |
| `requestId` | `string` Optional. A unique ID used to identify the request. If the server receives two [StopClusterRequest](https://cloud.google.com/dataproc/docs/reference/rpc/google.cloud.dataproc.v1#google.cloud.dataproc.v1.StopClusterRequest)s with the same id, then the second request will be ignored and the first `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.operations#Operation` created and stored in the backend is returned. Recommendation: Set this value to a [UUID](https://en.wikipedia.org/wiki/Universally_unique_identifier). The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.operations#Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).